<div id="member-view">
  <div *ngIf="errors">
    <app-erreur [erreur]="errors"></app-erreur>
  </div>

  <div *ngIf="!member.student_profile">
    <mat-card style="margin-bottom: 1em">
      Aucune information de profile élève n'est associée à cet utilisateur. Seuls les membres de type student peuvent avoir un profile élève.
      <br>
      {{member.first_name}} {{member.last_name}} est actuellement de type {{member.category}}.
    </mat-card>
  </div>

  <div *ngIf="member">
    <section class="inline">
      <section class="mat-typography">
        <mat-card>
          <mat-card-title class="title" id="nom-prenom">{{member.first_name}} {{member.last_name}}</mat-card-title>
          <mat-chip-list *ngIf="member.student_profile">
            <mat-chip>{{member.student_profile.study_year}}</mat-chip>
            <mat-chip color="accent" selected>{{member.student_profile.department}}</mat-chip>
            <mat-chip color="primary" selected>{{member.student_profile.school}}</mat-chip>
          </mat-chip-list>
          <mat-list>
            <mat-list-item>
              <span *ngIf="member.gender=='M'">Homme</span>
              <span *ngIf="member.gender=='W'">Femme</span>
              , actuellement {{member.category}}
            </mat-list-item>
            <mat-divider></mat-divider>
            <mat-list-item>Né le {{member.birthday|date: "dd/MM/yyyy"}}</mat-list-item>
            <mat-divider></mat-divider>
            <mat-list-item>Téléphone: {{member.phone}}</mat-list-item>
            <mat-divider></mat-divider>
            <mat-list-item>Email: {{member.email}}</mat-list-item>
            <div *ngIf="member.student_profile">
              <mat-list-item *ngIf="member.student_profile.student_number">Numéro
                étudiant: {{member.student_profile.student_number}}</mat-list-item>
            </div>
            <mat-divider></mat-divider>
            <div [hidden]="member.has_valid_membership">
              <mat-list-item color="warn">Cet adhérent n'a pas payé ses frais pour cette année !<br>
                Utilisez le formulaire ci-dessous pour arranger ça
              </mat-list-item>
            </div>
          </mat-list>
          <mat-card-actions>
            <div class="buttons">
              <button color="primary" mat-raised-button routerLink="/members/{{member.id}}">Éditer le profil</button>
              <button (click)="delete()"
                      [disabled]="member.has_valid_membership || member.has_valid_card"
                      color="warn" mat-raised-button
                      matTooltip="possible seulement pour les adhérents n'ayant pas renouvelé leur adhésion">Supprimer
                définitivement
              </button>
            </div>
            <table *ngIf="member.student_profile.study_year === '1A'">
              <tr>
                <td>Chèque VA</td>
                <td>
                  <app-va-cheque-received-info-span [member]="member"></app-va-cheque-received-info-span>
                </td>
                <td>
                  <app-va-cheque-received-btn (updatedMember)="member = $event"
                                              [member]="member"></app-va-cheque-received-btn>
                </td>
              </tr>
            </table>
          </mat-card-actions>
        </mat-card>
      </section>
      <section id="member-services-link">
        <mat-card style="background-color: #f5f5f5">
          <mat-card-title>Services</mat-card-title>
          <mat-list>
            <mat-list-item>
              <button color="primary" mat-button routerLink="/wei/bizuth/{{member.id}}">Voir la fiche Wei</button>
            </mat-list-item>
          </mat-list>
        </mat-card>
      </section>
    </section>

    <app-list-memberships *ngIf="member.student_profile" [member]="member" (out)="refresh(member.id)"></app-list-memberships>

    <app-membership-create *ngIf="member.student_profile" (out)="refresh(member.id)" [idAdherent]="member.id"></app-membership-create>

    <section class="inline" *ngIf="member.student_profile">
      <app-list-cards [member]="member" (out)="refresh(member.id)"></app-list-cards>
      <app-create-card (card)="refresh(member.id)"
                       [idAdherent]="member.id"></app-create-card>
    </section>

  </div>
</div>
